{#
/**
 * @file
 * Theme override for page titles.
 *
 * Available variables:
 * - title_attributes: HTML attributes for the page title element.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title: The page title, for use in the actual content.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 */
#}

{% block page_title %}
  {% if drowl_base_variables.entity.field_hide_title and drowl_base_variables.entity.field_hide_title.value %}
    {% if user.hasPermission('administer nodes') %}
      <div class="container">
        {%
          include 'radix:alert' with {
            type: 'info',
            icon_classes: ['ico', drowl_theme_icons.info],
            heading: 'Remember to add an H1-Heading!'|t,
            dismissible: true,
            alert_utility_classes: ['mb-4'],
            content: 'You have disabled the title for this content. Ensure to add an H1-Heading manually.'|t
          }
        %}
      </div>
    {% endif %}
  {% else %}
    {% set has_subtitle = drowl_base_variables.entity.field_subtitle.value %}
    <div class="page-title__wrapper mb-3">
      {% block page_title_inner %}
        <div class="container">
          {% block title %}
            {% include "radix:page-title" with {
              page_title_utility_classes: [
                has_subtitle ? 'has-subline'
              ]
            } %}
          {% endblock title %}
          {% block subline %}
            {# Print the subline in unition with the page title by default #}
            {% if has_subtitle %}
              {{ drowl_base_variables.entity.field_subtitle|view }}
            {% endif %}
          {% endblock subline %}
        </div>
      {% endblock page_title_inner %}
    </div>
  {% endif %}
{% endblock page_title %}

